Beta

List Room Files

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
GET
/v1/rooms/{room_id}/files

Lists the Files in one Room, at the version it shows (the newest ready one).

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

room_id*string

Stable Room ID.

Match^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

status?string
Value in"pending""active""archived"
after?string

next_cursor

Match^rfl_[0-7][0-9A-HJKMNP-TV-Z]{25}$
limit?integer
Range1 <= value <= 100
Default20
folder_id?string

Only this folder's files (root: top level).

Match^(root|rfd_[0-7][0-9A-HJKMNP-TV-Z]{25})$

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid

Response Body

Successful authorized response.

application/json
  1. response
files*array<>
has_more*smb_v0_operations_create_list_request.__local.properties.body.__schema16
next_cursor*string|null
request_id*string
curl -X GET 'https://example.com/v1/rooms/string/files' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "files": [    {      "room_file_id": "string",      "room_id": "string",      "file": {        "file_id": "string",        "business_id": "string",        "name": "string",        "description": "string",        "classification": "financial",        "tags": [          "string"        ],        "origin": "upload",        "lifecycle": "active",        "current_version": {          "file_version_id": "string",          "version_number": 1,          "content_type": "string",          "size_bytes": 1,          "sha256": "string",          "processing_status": "pending_upload",          "processing_error": "string",          "summary": "string",          "created_by": {            "type": "person",            "user_id": "string",            "name": "string",            "via": null          },          "created_at": "2019-08-24T14:15:22Z",          "ready_at": "2019-08-24T14:15:22Z",          "protection": {},          "redacted_from": "string",          "redacted_copy": "string"        },        "revision": 1,        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "archived_at": "2019-08-24T14:15:22Z",        "access_level": "view"      },      "file_version_id": "string",      "access_mode": "inherit_room",      "status": "pending",      "revision": 1,      "attached_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "archived_at": "2019-08-24T14:15:22Z",      "access_level": "view",      "folder_id": "string",      "original_name": "string",      "read_state": "pending",      "suggestion": {        "suggestion_id": "string",        "state": "suggested",        "confidence": 0,        "needs_pick": true,        "folder_id": "string",        "parent_folder_id": "string",        "new_folder_path": [          "string"        ],        "path": [          "string"        ],        "reason": "string",        "drop_batch_id": "string"      }    }  ],  "has_more": true,  "next_cursor": "string",  "request_id": "string"}